<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                template="/WEB-INF/templates/LoggedTemplate.xhtml"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core">

    <ui:define name="contentPart">

        <h:form id="listGradosJerarquicosForm">


            <h:outputText 
                value="Catálogos comunes -> Grados Jerárquicos" 
                style="font-weight: bold"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>            
            <h:outputText value="Administración de grados jerárquicos" />
            <br/><br/>

            <div align="center">
                <h:panelGrid columns="1" cellpadding="10" columnClasses="centered7" style="width: 60%;">    
                    <p:dataTable
                        id="listadoGradosJerarquicos"
                        class="listadoGradosJerarquicos"
                        value="#{gradoJerarquicoMB.lstGradosJerarquicos}"
                        var="gradosJerarquicos"
                        paginator="true"
                        rows="10"                
                        style="font-size: small;
                        "
                        emptyMessage="No se encontraron grados jerárquicos"
                        paginatorPosition="bottom"> 

                        <f:facet name="header">
                            Grados Jerárquicos
                            <p:commandButton 
                                id="btnAddGrado" 
                                styleClass="botonpequeno"
                                title="Nuevo Grado Jerárquico"
                                icon="ui-icon-plusthick"
                                actionListener="#{gradoJerarquicoMB.crearGradoJerarquico()}"
                                style="display:inline; float:right; font-size:x-small;"
                                update="@(.pnAddGdoJer)"
                                oncomplete= "PF('addGradoJerarquico').show();" >

                            </p:commandButton>


                        </f:facet>

                        <p:column
                            sortBy="#{gradosJerarquicos.intGrado}"
                            filterBy="#{gradosJerarquicos.intGrado}"
                            style="font-size: small; width:5%; "
                            filterMatchMode="contains"
                            headerText="Grado">
                            <h:outputText value="#{gradosJerarquicos.intGrado}"/>
                        </p:column> 

                        <p:column
                            sortBy="#{gradosJerarquicos.strActivo}"
                            filterBy="#{gradosJerarquicos.strActivo}"
                            style="font-size: small; width:5%; "
                            filterMatchMode="contains"
                            headerText="Estatus">
                            <h:outputText value="#{gradosJerarquicos.strActivo}"/>
                        </p:column>

                        <p:column  
                            headerText="Acciones"
                            style="font-size:small;width: 5%"
                            >

                            <p:commandButton                        
                                title="Editar Grado"
                                update="@(.pnAddGdoJer)"
                                value="Editar"
                                actionListener="#{gradoJerarquicoMB.editarGradoJerarquico(gradosJerarquicos)}"
                                oncomplete= "PF('addGradoJerarquico').show();"
                                ajax="true"
                                style="font-size:70%;width: 80px " 
                                >
                            </p:commandButton>


                            <p:commandButton
                                title="Activar/Inactivar"
                                actionListener="#{gradoJerarquicoMB.cambiarEstatus(gradosJerarquicos)}"
                                update="listadoGradosJerarquicos"
                                value="Activar/Inactivar"
                                style="font-size:70%"
                                >
                                <p:confirm header="Confirmar" message="¿Desea #{gradoJerarquicoMB.gradoJerarquicoSelected.strActivo eq 'I'?'Activar':'Inactivar'} el grado jerárquico?" />
                            </p:commandButton>    
                        </p:column> 
                    </p:dataTable>  

                </h:panelGrid>
            </div>
            <div align="center">
                <p:commandButton
                    value="Cerrar"
                    type="button"
                    onclick="location = '#{request.contextPath}#{commonDataMB.defaultTargetUrl}';">
                </p:commandButton>         
            </div>
        </h:form>

        <p:dialog id="dlgGrado"
                  class="pnAddGdoJer"
                  widgetVar="addGradoJerarquico" 
                  appendTo="@(body)" 
                  dynamic="true" 
                  modal="true" 
                  closable="false" 
                  draggable="false"
                  resizable="false"                 
                  header="#{gradoJerarquicoMB.gradoJerarquicoSelected.intGrado == null ?'Agregar':'Actualizar'} grado jerárquico">

            <h:form id="frmGrado" styleClass="frmGrado">

                <h:panelGrid columns="2" columnClasses="centered5,centered6">
                    <p:column>
                        <p:outputLabel for="txtGrado" style="font-weight: bold"
                                       value="Grado Jerárquico" />
                    </p:column>
                    <p:column>
                        <p:inputNumber id="txtGrado"
                                       class="txtGrado"
                                       required="true"
                                       maxValue="99"
                                       decimalPlaces="0"
                                       value="#{gradoJerarquicoMB.gradoJerarquicoSelected.intGrado}" 
                                       requiredMessage="Grado Jerárquico requerido" >
                        </p:inputNumber>
                    </p:column>
                </h:panelGrid>
                <div align="right" > 
                    <p:commandButton value="#{gradoJerarquicoMB.gradoJerarquicoSelected.intGrado == null ?'Agregar':'Actualizar'}"  
                                     update="@(.listadoGradosJerarquicos)" 
                                     process="@(.frmGrado)"
                                     style="font-size: 70%"
                                     actionListener="#{gradoJerarquicoMB.guardar()}"
                                     ajax="true"/>
                    <div style="width:5px;
                         height:auto;
                         display:inline-block;"/>
                    <p:commandButton value="Cerrar" 
                                     class="cerrar"
                                     style="font-size: 70%"
                                     process="@(.cerrar)"
                                     actionListener="#{gradoJerarquicoMB.cerrar()}">
                    </p:commandButton>
                </div>
            </h:form>    
        </p:dialog>

        <h:form>
            <p:confirmDialog appendTo="@(body)" global="true" style="width: 450px;" closable="true" showEffect="fade" hideEffect="fade">
                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" />
                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" />
            </p:confirmDialog>
        </h:form>

    </ui:define>



</ui:composition>
